# Build a Full Stack tRPC CRUD App with Next.js and Prisma ORM

This article will teach you how to build a full-stack tRPC CRUD (Create, Read, Update, and Delete) app with Next.js. The tRPC API will be built on Next.js edge runtime and the tRPC client will be created with React.js. For data storage, we'll use Prisma ORM to query and mutate an SQLite database.  

![Build a Full Stack tRPC CRUD App with Next.js and Prisma ORM](https://codevoweb.com/wp-content/uploads/2022/10/Build-a-Full-Stack-tRPC-CRUD-App-with-Next.js-and-Prisma-ORM.webp)

## Topics Covered

- Run the Next.js tRPC CRUD App Locally
- Setup Next.js as a Monorepo
- Setup Prisma and Create the Database Model
- Create the Next.js tRPC API
    - Create Zod Validation Schemas
    - Create the tRPC Procedures
    - Create the tRPC Server
    - Connect the tRPC Router to Next.js
- Create the Next.js tRPC Client
    - Create Reusable React Components
    - React Query Create Record Mutation
    - React Query Update Record Mutation
    - React Query Delete Record Mutation
    - React Query Fetch All Records Query

Read the entire article here: [https://codevoweb.com/build-a-fullstack-trpc-crud-app-with-nextjs/](https://codevoweb.com/build-a-fullstack-trpc-crud-app-with-nextjs/)

